/* -----------------------------------------------------------------------------
  GALLY
  Template for Piwigo
  ------------------------------------------------------------------------------
  file: gally/gallyjs-ttm.js
  file release: 1.0.0
  ------------------------------------------------------------------------------
  author: grum at piwigo.org
  << May the Little SpaceFrog be with you >>
  ------------------------------------------------------------------------------
  JS to manage bubbles tips

  need jQuery 1.2.6

  see the release_notes.txt file for more informations
----------------------------------------------------------------------------- */

var gallyTM=null;

$(document).ready(
  function()
  {
    gallyTM=new GallyTM();
  }
);


function GallyTM ()
{
  var sTip=null,

  initTips = function ()
  {
    if(options.manageTips)
    {
      $('#menubar dl:not(#mbTags) dd [title]').not('.sTipOnTop, .sTipOnBottom, .sTipOnLeft, .sTipOnRight').addClass('sTipOnRight');

      sTip=new simpleTip();
      $('[title]').each(
        function ()
        {
          tipPos=options.manageTipsPos;

          if($(this).hasClass('sTipOnTop')) { tipPos='tipOnTop'; }
          else if($(this).hasClass('sTipOnRight')) { tipPos='tipOnRight'; }
          else if($(this).hasClass('sTipOnLeft')) { tipPos='tipOnLeft'; }
          else if($(this).hasClass('sTipOnBottom')) { tipPos='tipOnBottom'; }

          switch(tipPos)
          {
            case 'tipOnTop':
              sTip.doAction(
                'add',
                this,
                {
                  targetPos:'top-middle',
                  tipPos:'bottom-middle',
                  offsetY:14,
                  arrowHeight:13,
                  arrowWidth:17,
                  drawArrow:true,
                  arrowImgDir:options.themePath
                }
              );
              break;
            case 'tipOnRight':
              sTip.doAction(
                'add',
                this,
                {
                  targetPos:'middle-right',
                  tipPos:'middle-left',
                  offsetX:12,
                  arrowHeight:17,
                  arrowWidth:12,
                  drawArrow:true,
                  arrowImgDir:options.themePath
                }
              );
              break;
            case 'tipOnLeft':
              sTip.doAction(
                'add',
                this,
                {
                  targetPos:'middle-left',
                  tipPos:'middle-right',
                  offsetX:12,
                  arrowHeight:17,
                  arrowWidth:12,
                  drawArrow:true,
                  arrowImgDir:options.themePath
                }
              );
              break;
            case 'tipOnBottom':
              sTip.doAction(
                'add',
                this,
                {
                  targetPos:'bottom-middle',
                  tipPos:'top-middle',
                  offsetY:12,
                  arrowHeight:12,
                  arrowWidth:17,
                  drawArrow:true,
                  arrowImgDir:options.themePath
                }
              );
              break;
          }
        }
      );
    }
  };

  initTips();
}


