<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<!-- **GBL** >HEADER> -->
<html lang="{$lang_info.code}" dir="{$lang_info.direction}">
<head>
  <meta http-equiv="Content-Type" content="text/html; charset={$CONTENT_ENCODING}">
  <meta name="generator" content="Piwigo (aka PWG), see piwigo.org">

  {if isset($meta_ref) }
    {if isset($INFO_AUTHOR)}
      <meta name="author" content="{$INFO_AUTHOR|@replace:'"':' '}">
    {/if}
    {if isset($related_tags)}
      <meta name="keywords" content="{foreach from=$related_tags item=tag name=tag_loop}{if !$smarty.foreach.tag_loop.first}, {/if}{$tag.name}{/foreach}">
    {/if}
    {if isset($COMMENT_IMG)}
      <meta name="description" content="{$COMMENT_IMG|@strip_tags:false|@replace:'"':' '}{if isset($INFO_FILE)} - {$INFO_FILE}{/if}">
    {else}
      <meta name="description" content="{$PAGE_TITLE}{if isset($INFO_FILE)} - {$INFO_FILE}{/if}">
    {/if}
  {/if}

  {if (isset($REVERSE) and $REVERSE and $PAGE_TITLE == l10n('home'))}
    <title>{$GALLERY_TITLE} | {$PAGE_TITLE}</title>
  {else}
    <title>{$PAGE_TITLE} | {$GALLERY_TITLE}</title>
  {/if}
  <!-- <link rel="shortcut icon" type="image/x-icon" href="{$ROOT_URL}template-common/favicon.ico"> -->

  <link rel="start" title="{'Home'|@translate}" href="{$U_HOME}" >
  <link rel="search" title="{'Search'|@translate}" href="{$ROOT_URL}search.php" >

  {if isset($first.U_IMG)   }<link rel="first" title="{'First'|@translate}" href="{$first.U_IMG}" >{/if}
  {if isset($previous.U_IMG)}<link rel="prev" title="{'Previous'|@translate}" href="{$previous.U_IMG}" >{/if}
  {if isset($next.U_IMG)    }<link rel="next" title="{'Next'|@translate}" href="{$next.U_IMG}" >{/if}
  {if isset($last.U_IMG)    }<link rel="last" title="{'Last'|@translate}" href="{$last.U_IMG}" >{/if}
  {if isset($U_UP)          }<link rel="up" title="{'Thumbnails'|@translate}" href="{$U_UP}" >{/if}

  {if isset($U_PREFETCH)}<link rel="prefetch" href="{$U_PREFETCH}">{/if}

  {if not empty($page_refresh)}<meta http-equiv="refresh" content="{$page_refresh.TIME};url={$page_refresh.U_REFRESH}">{/if}

  <script type="text/javascript" src="{$ROOT_URL}themes/default/js/jquery.packed.js"></script>
  <script type="text/javascript" src="{$ROOT_URL}themes/default/js/scripts.js"></script>

  <link rel="stylesheet" type="text/css" href="{$ROOT_URL}themes/gally-default/css/content.css">

  {known_script id="jquery" src=$ROOT_URL|cat:"themes/default/js/jquery.packed.js"}
  {known_script id="jquery.ui" src=$ROOT_URL|cat:"themes/default/js/ui/packed/ui.core.packed.js"}
  {known_script id="jquery.ui.tabs" src=$ROOT_URL|cat:"themes/default/js/ui/packed/ui.tabs.packed.js"}
  {known_script id="jquery.ui.dialog" src=$ROOT_URL|cat:"themes/default/js/ui/packed/ui.dialog.packed.js"}


  {php}
    $themes=$this->get_template_vars('themes');
    foreach($themes as $theme)
    {
      $dir=dirname($_SERVER['SCRIPT_FILENAME'])."/themes/".$theme['id']."/conf/";
      $dirlocal=dirname($_SERVER['SCRIPT_FILENAME'])."/local/themes/".$theme['id']."/conf/";
      $this->assign("default_conf", $dir."default.conf");
      if(file_exists($dirlocal."local.conf"))
      {
        $this->assign("local_conf", $dirlocal."local.conf");
      }
      else
      {
        $this->assign("local_conf", "");
      }
    }
  {/php}

  {config_load file=$default_conf}
  {if $local_conf!=""}
    {config_load file=$local_conf}
  {/if}

  {php}
      $this->assign("alternateBannerContent", html_entity_decode($this->get_config_vars('alternateBannerContent')));
  {/php}

  {include file='config.js.tpl'}

  {if #manageTips#=='yes'}
    {known_script id="gpc.simpleTip" src=$ROOT_URL|@cat:"themes/gally-default/js/simpleTip.packed.js" }
    {known_script id="gallyjs-ttm" src=$ROOT_URL|cat:"themes/gally-default/js/gallyjs-ttm.packed.js"}
  {/if}

  {if $BODY_ID=='theCategoryPage'}
  {known_script id="gallyjs-tcp" src=$ROOT_URL|cat:"themes/gally-default/js/gallyjs-tcp.packed.js"}
  <link rel="stylesheet" type="text/css" href="{$ROOT_URL}themes/gally-default/css/thumbnails.css">
  <link rel="stylesheet" type="text/css" href="{$ROOT_URL}themes/gally-default/css/menubar.css">
  {/if}

  {if $BODY_ID=='thePicturePage'}
  {known_script id="gallyjs-tpp" src=$ROOT_URL|cat:"themes/gally-default/js/gallyjs-tpp.packed.js"}
  <link rel="stylesheet" type="text/css" href="{$ROOT_URL}themes/gally-default/css/picture.css">
  {/if}

  {if $BODY_ID=='theProfilePage' or $BODY_ID=='theRegisterPage' or $BODY_ID=='theIdentificationPage'
    or $BODY_ID=='thePasswordPage' or $BODY_ID=='theTagsPage' or $BODY_ID=='theSearchPage'
    or $BODY_ID=='theCommentsPage' or $BODY_ID=='theAboutPage' or $BODY_ID=='theNotificationPage'
    or $BODY_ID=='thePopuphelpPage' or $BODY_ID=='theUploadPage'}
  <link rel="stylesheet" type="text/css" href="{$ROOT_URL}themes/gally-default/css/generic.css">
  {/if}

  {foreach from=$themes item=theme}
    <link rel="stylesheet" type="text/css" href="{$ROOT_URL}themes/{$theme.id}/css/theme.css">
    {if isset($theme.local_head)}{include file=$theme.local_head}{/if}
  {/foreach}

{if not empty($head_elements)}
  {foreach from=$head_elements item=elt}{$elt}
  {/foreach}
{/if}

</head>

<body id="{$BODY_ID}">
<div id="the_page">

{if not empty($header_msgs)}
<div class="header_msgs">
  {foreach from=$header_msgs item=elt}
  <p>{$elt}</p>
  {/foreach}
</div>
{/if}


{if ($BODY_ID=='thePicturePage' and #displayBanner# == "yes") or $BODY_ID!='thePicturePage'}
<div id="theHeader">
  {$PAGE_BANNER}
</div>
<div id="theHeaderAlt" style="display:none;"></div>
{elseif $BODY_ID=='thePicturePage' and #displayBanner# == "alternate"}
<div id="theHeader" style="display:none;"></div>
<div id="theHeaderAlt">
  {$alternateBannerContent}
</div>
{else}
<div id="theHeader" style="display:none;"></div>
<div id="theHeaderAlt" style="display:none;"></div>
{/if}


{if isset($theSwiftHeader)}{$theSwiftHeader}{/if}
{if not empty($header_notes)}
<div class="header_notes">
  {foreach from=$header_notes item=elt}
  <p>{$elt}</p>
    {/foreach}
</div>
{/if}

<!-- **GBL** <HEADER< -->
